%define oname kwalletmanager

Summary:	Plasma 5 password wallet manager
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	org.kde.kwriteroot.desktop
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kwallet

%description
Plasma 5 password wallet manager.

%files
%{_kde5_applicationsdir}/kwalletmanager5-kwalletd.desktop
%{_kde5_applicationsdir}/org.kde.kwalletmanager5.desktop
%{_kde5_bindir}/kwalletmanager5
%dir %{_kde5_datadir}/kwalletmanager5/
%{_kde5_datadir}/kwalletmanager5/*
%{_kde5_docdir}/HTML/en/kwallet5
%{_kde5_iconsdir}/hicolor/*/apps/kwalletmanager.*
%{_kde5_iconsdir}/hicolor/*/apps/kwalletmanager2.*
%{_kde5_libexecdir}/kauth/kcm_kwallet_helper5
%{_kde5_services}/kwalletconfig5.desktop
%{_kde5_services}/kwalletmanager5_show.desktop
%{_kde5_xmlguidir}/kwalletmanager5/kwalletmanager.rc
%{_qt5_plugindir}/kcm_kwallet5.so
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (ca09ebf) New version 16.04.3


